Update transcript evaluation
curl --request PATCH \
--url https://analytics-api.voiceflow.com/v1/transcript-evaluation/{evaluationID} \
--header 'Content-Type: application/json' \
--header 'authorization: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"enabled": true,
"prompt": "<string>",
"settings": {
"realtime": {
"voice": "<string>",
"eagerness": "<string>"
},
"maxTokens": 123,
"temperature": 123
},
"truePrompt": "<string>",
"falsePrompt": "<string>"
}
'import requests
url = "https://analytics-api.voiceflow.com/v1/transcript-evaluation/{evaluationID}"
payload = {
"name": "<string>",
"description": "<string>",
"enabled": True,
"prompt": "<string>",
"settings": {
"realtime": {
"voice": "<string>",
"eagerness": "<string>"
},
"maxTokens": 123,
"temperature": 123
},
"truePrompt": "<string>",
"falsePrompt": "<string>"
}
headers = {
"authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
enabled: true,
prompt: '<string>',
settings: {
realtime: {voice: '<string>', eagerness: '<string>'},
maxTokens: 123,
temperature: 123
},
truePrompt: '<string>',
falsePrompt: '<string>'
})
};
fetch('https://analytics-api.voiceflow.com/v1/transcript-evaluation/{evaluationID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update transcript evaluation
Update the definition of the specified transcript evaluation.
PATCH
/
v1
/
transcript-evaluation
/
{evaluationID}
Update transcript evaluation
Authorizations
Voiceflow API key
Path Parameters
ID of the transcript evaluation to target.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
Name of the evaluation.
Required string length:
1 - 100Description of the evaluation.
Maximum string length:
250When enabled, evaluations will be run on every new transcript.
This prompt describes how the LLM should apply this evaluation.
Required string length:
1 - 10000The model settings passed when invoking this evaluation.
Hide child attributes
Hide child attributes
Available options:
gpt-3.5-turbo-1106, gpt-3.5-turbo, gpt-4, gpt-4o, gpt-4o-mini, gpt-4.1-2025-04-14, gpt-4.1-mini-2025-04-14, gpt-4.1-nano-2025-04-14, gpt-o3-mini, o3-2025-04-16, o4-mini-2025-04-16, gpt-5, gpt-5-mini, gpt-5-nano, gpt-5.2, gpt-5.4, gpt-5.4-mini, gpt-5.5, gpt-realtime, claude-4-opus, claude-4-sonnet, claude-4.5-sonnet, claude-4.6-sonnet, claude-4.5-haiku, claude-4.5-opus, claude-4.7-opus, bedrock-claude-4-sonnet, bedrock-claude-4.5-sonnet, bedrock-claude-4.6-sonnet, bedrock-claude-5-sonnet, bedrock-claude-4.5-haiku, bedrock-claude-4.5-opus, bedrock-claude-4.7-opus, bedrock-claude-4.8-opus, voiceflow-core-4.0, voiceflow-core-4.1, voiceflow-flash-4.1, gemini-2.5-pro, gemini-2.5-flash, gemini-live-2.5-flash, gemini-3-flash, gemini-3.5-flash, gemini-3.1-pro, gpt-oss-20b, gpt-oss-120b, llama-guard-4, llama-3.1-instant, llama-3.3-versatile, qwen3.6-27b, gemini-flash-2, gpt-4-turbo, claude-3.5-haiku, claude-3-opus, claude-3.7-sonnet, claude-v2, llama-3.2-1b-preview, gemini-pro-1.5, claude-3-haiku, claude-3-sonnet, text-davinci-003, claude-v1, claude-instant-v1, deep-seek-r1-distill-llama-70B, claude-3.5-sonnet Available options:
minimal, low, medium, high This prompt describes which transcripts should evaluate as 'true'.
Required string length:
1 - 10000This prompt describes which transcripts should evaluate as 'false'.
Required string length:
1 - 10000Response
204 - undefined
Was this page helpful?
⌘I